[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPCustomHashTable.Find

Search for an item with a certain key value.

## Declaration

Source position: contnrs.pp line 381

`public function TFPCustomHashTable.Find(`
`const aKey: string`
`):THTCustomNode;`

## Arguments

`aKey` |  | Key value to look for.

## Function result

THTCustomNode instance matching AKey

## Description

Find searches for the THTCustomNode instance with key value equal to Akey and if it finds it, it returns the instance. If no matching value is found, Nil is returned.

Note that the instance returned by this function cannot be freed; If it should be removed from the hash table, the Delete method should be used instead.

## Errors

None.

## See also

Add |  | Add a new key and its associated data to the hash.
Delete |  | Delete a key from the hash list.

Documentation generated on: Feb 26 2014